Bug 504894 - AttributeError: 'NoneType' object has no attribute 'name'
AttributeError: 'NoneType' object has no attribute 'name'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:c371a67ad2e340754...
: Triaged
: 568520 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-09 19:37 EDT by jrspurrier
Modified: 2010-12-05 01:52 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:52:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (307.82 KB, text/plain)
2009-06-09 19:37 EDT, jrspurrier
no flags Details
Attached traceback automatically from anaconda. (361.04 KB, text/plain)
2009-06-26 04:50 EDT, Need Real Name
no flags Details
Attached traceback automatically from anaconda. (378.46 KB, text/plain)
2009-07-23 21:06 EDT, Amit
no flags Details
Attached traceback automatically from anaconda. (155.62 KB, text/plain)
2009-09-11 10:26 EDT, Lukas
no flags Details
Anaconda Bug Report (580.79 KB, text/plain)
2010-02-11 07:12 EST, Rui Gouveia
no flags Details

  None (edit)
Description jrspurrier 2009-06-09 19:37:07 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.59 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/booty/x86.py", line 187, in writeGrub
    if defaultDev.name == rootDev.name:
  File "/usr/lib/anaconda/booty/x86.py", line 534, in write
    justConfig | (not self.useGrubVal))
  File "/usr/lib/anaconda/bootloader.py", line 204, in writeBootloader
    justConfigFile)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1339, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1360, in handleRenderCallback
    self.currentWindow.renderCallback()
AttributeError: 'NoneType' object has no attribute 'name'
Comment 1 jrspurrier 2009-06-09 19:37:16 EDT
Created attachment 347111 [details]
Attached traceback automatically from anaconda.
Comment 2 Need Real Name 2009-06-26 04:50:32 EDT
Created attachment 349522 [details]
Attached traceback automatically from anaconda.
Comment 3 Need Real Name 2009-06-26 05:02:48 EDT
Comment on attachment 349522 [details]
Attached traceback automatically from anaconda.

Installation on a 1TBytes Hard disk where Windows XP was installed in the first partition.
Comment 4 Amit 2009-07-23 21:06:22 EDT
Created attachment 354947 [details]
Attached traceback automatically from anaconda.
Comment 5 Joel Andres Granados 2009-09-03 08:11:05 EDT
does this still ocurr in rawhide?
Comment 6 Need Real Name 2009-09-08 18:25:43 EDT
Sorry, I don't understand your question : what is "rawhide" ?
Comment 7 Chris Lumens 2009-09-10 11:36:16 EDT
The development tree for Fedora.  If you don't know, it's probably just best for you to wait until F12 Beta.
Comment 8 Lukas 2009-09-11 10:26:00 EDT
Created attachment 360687 [details]
Attached traceback automatically from anaconda.
Comment 9 Bug Zapper 2009-11-16 05:02:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Rui Gouveia 2010-02-11 07:08:08 EST
Hi,

I'm getting this error very frequently with less than standard BIOS and in VirtualBox.

Thanks
Comment 11 Rui Gouveia 2010-02-11 07:10:28 EST
Sorry I'll attach the bug report.
Comment 12 Rui Gouveia 2010-02-11 07:12:53 EST
Created attachment 390224 [details]
Anaconda Bug Report

This crash happens between installing the packages and before creating the grub.conf file.
Comment 13 Chris Lumens 2010-02-25 17:00:20 EST
*** Bug 568520 has been marked as a duplicate of this bug. ***
Comment 14 Manuel Faux 2010-08-19 17:03:28 EDT
This bug was reported against F12. Can someone check if it still persists?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Bug Zapper 2010-11-04 07:09:32 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2010-12-05 01:52:11 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.